Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# StateData Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | enter
def | exit
def | getDoneStatus
def | load
def | unload
## Public Attributes
| doneEvent
| doneStatus
| isEntered
| isLoaded
## Static Public Attributes
tuple | notify = directNotify.newCategory('StateData')

## Detailed Description

    A StateData is a base class for a single state within a Finite
    State Machine (ClassicFSM).

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | doneEvent
| ) |  |

## Member Function Documentation

def enter | ( |  | self | ) |

    Enters the StateData.  This makes it active in whatever sense
    this applies.  Returns true if this is a change (i.e. it was
    not previously entered), or false if this is the same (i.e. it
    was already entered).

def exit | ( |  | self | ) |

    Exits the StateData.  Returns true if this is a change
    (i.e. it was previously entered), or false if this is the same
    (i.e. it was already exited).

def getDoneStatus | ( |  | self | ) |

    The done status of a state data may be anything.  It is common
    practice to return a Python dictionary or a string; the default
    value is None.

def load | ( |  | self | ) |

    Loads the StateData.  This loads whatever assets are needed
    from disk, and otherwise prepares the StateData for being
    entered, without actually entering it.  Returns true if this
    is a change (i.e. it was not already loaded), or false if this
    is the same (i.e. it was previously loaded).

def unload | ( |  | self | ) |

    Unloads the StateData.  This frees whatever assets were loaded
    by load(), and generally makes the memory usage for this thing
    be as small as possible.  Some StateData-derived classes can
    load and unload repeatedly; others are useless once they have
    been unloaded.

## Member Data Documentation

doneEvent

doneStatus

isEntered

isLoaded

tuple notify = directNotify.newCategory('StateData')`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties